#include<bits/stdc++.h>
using namespace std;
#define endl "\n"
void f(long long n)
{
    long long ans=0;
    for(long long i=1; i*i*i<=n; i++)
    {
        for(long long j=i; i*j*j<=n; j++)
        {
            if(n/(i*j)<j) break;
            if(n%(i*j)==0)
            {
                ans++;
            }
        }
    }
    cout<<ans;
}
int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(0);
    long long n;
    cin>>n;
    f(n);
    return 0;
}
